#
# Borland C++ IDE generated makefile
# Generated 06/04/2001 at 18:16:46 
#
.AUTODEPEND


#
# Borland C++ tools
#
IMPLIB  = Implib
BCC32   = Bcc32 +BccW32.cfg 
BCC32I  = Bcc32i +BccW32.cfg 
TLINK32 = TLink32
TLIB    = TLib
BRC32   = Brc32
TASM32  = Tasm32
#
# IDE macros
#


#
# Options
#
IDE_LinkFLAGS32 =  -Le:\apps\BC5\LIB
IDE_ResFLAGS32 = 
LinkerLocalOptsAtW32_borgdexe =  -Tpe -aa -V4.0 -c
ResLocalOptsAtW32_borgdexe = 
BLocalOptsAtW32_borgdexe = 
CompInheritOptsAt_borgdexe = -Ie:\apps\BC5\INCLUDE 
LinkerInheritOptsAt_borgdexe = -x
LinkerOptsAt_borgdexe = $(LinkerLocalOptsAtW32_borgdexe)
ResOptsAt_borgdexe = $(ResLocalOptsAtW32_borgdexe)
BOptsAt_borgdexe = $(BLocalOptsAtW32_borgdexe)
CompLocalOptsAtW32_dasmdrc = 
LinkerLocalOptsAtW32_dasmdrc = 
ResLocalOptsAtW32_dasmdrc = 
BLocalOptsAtW32_dasmdrc = 
CompOptsAt_dasmdrc = $(CompOptsAt_borgdexe) $(CompLocalOptsAtW32_dasmdrc)
CompInheritOptsAt_dasmdrc = -Ie:\apps\BC5\INCLUDE 
LinkerInheritOptsAt_dasmdrc = -x
LinkerOptsAt_dasmdrc = $(LinkerOptsAt_borgdexe) $(LinkerLocalOptsAtW32_dasmdrc)
ResOptsAt_dasmdrc = $(ResOptsAt_borgdexe) $(ResLocalOptsAtW32_dasmdrc)
BOptsAt_dasmdrc = $(BOptsAt_borgdexe) $(BLocalOptsAtW32_dasmdrc)

#
# Dependency List
#
Dep_borg21 = \
   borg.exe

borg21 : BccW32.cfg $(Dep_borg21)
  echo MakeNode

Dep_borgdexe = \
   dlg_ldop.obj\
   data.obj\
   exeload.obj\
   disio.obj\
   range.obj\
   mainwind.obj\
   disasm.obj\
   dasm.obj\
   decrypt.obj\
   user_fn.obj\
   search.obj\
   database.obj\
   user_dlg.obj\
   help.obj\
   registry.obj\
   savefile.obj\
   stack.obj\
   dasm.res\
   common.obj\
   schedule.obj\
   relocs.obj\
   proctab.obj\
   gname.obj\
   debug.obj\
   xref.obj

borg.exe : $(Dep_borgdexe)
  $(TLINK32) @&&|
 /v $(IDE_LinkFLAGS32) $(LinkerOptsAt_borgdexe) $(LinkerInheritOptsAt_borgdexe) +
e:\apps\BC5\LIB\c0w32.obj+
dlg_ldop.obj+
data.obj+
exeload.obj+
disio.obj+
range.obj+
mainwind.obj+
disasm.obj+
dasm.obj+
decrypt.obj+
user_fn.obj+
search.obj+
database.obj+
user_dlg.obj+
help.obj+
registry.obj+
savefile.obj+
stack.obj+
common.obj+
schedule.obj+
relocs.obj+
proctab.obj+
gname.obj+
debug.obj+
xref.obj
$<,$*
e:\apps\BC5\LIB\bidst.lib+
e:\apps\BC5\LIB\import32.lib+
e:\apps\BC5\LIB\cw32mt.lib

dasm.res

|
Dep_dlg_ldopdobj = \
   dlg_ldop.h\
   dlg_ldop.cpp

dlg_ldop.obj : $(Dep_dlg_ldopdobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ dlg_ldop.cpp
|

Dep_datadobj = \
   data.h\
   data.cpp

data.obj : $(Dep_datadobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ data.cpp
|

Dep_exeloaddobj = \
   exeload.h\
   exeload.cpp

exeload.obj : $(Dep_exeloaddobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ exeload.cpp
|

Dep_disiodobj = \
   disio.h\
   disio.cpp

disio.obj : $(Dep_disiodobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ disio.cpp
|

Dep_rangedobj = \
   range.h\
   range.cpp

range.obj : $(Dep_rangedobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ range.cpp
|

Dep_mainwinddobj = \
   mainwind.h\
   mainwind.cpp

mainwind.obj : $(Dep_mainwinddobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ mainwind.cpp
|

Dep_disasmdobj = \
   disfuncs.h\
   disasm.h\
   disasm.cpp

disasm.obj : $(Dep_disasmdobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ disasm.cpp
|

Dep_dasmdobj = \
   common.h\
   borg2.h\
   list.h\
   dasm.h\
   dasm.cpp

dasm.obj : $(Dep_dasmdobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ dasm.cpp
|

Dep_decryptdobj = \
   decrypt.h\
   decrypt.cpp

decrypt.obj : $(Dep_decryptdobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ decrypt.cpp
|

Dep_user_fndobj = \
   user_fn.h\
   user_fn.cpp

user_fn.obj : $(Dep_user_fndobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ user_fn.cpp
|

Dep_searchdobj = \
   srch.h\
   search.cpp

search.obj : $(Dep_searchdobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ search.cpp
|

Dep_databasedobj = \
   database.h\
   database.cpp

database.obj : $(Dep_databasedobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ database.cpp
|

Dep_user_dlgdobj = \
   user_dlg.h\
   user_dlg.cpp

user_dlg.obj : $(Dep_user_dlgdobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ user_dlg.cpp
|

Dep_helpdobj = \
   help.h\
   help.cpp

help.obj : $(Dep_helpdobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ help.cpp
|

Dep_registrydobj = \
   registry.h\
   registry.cpp

registry.obj : $(Dep_registrydobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ registry.cpp
|

Dep_savefiledobj = \
   savefile.h\
   savefile.cpp

savefile.obj : $(Dep_savefiledobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ savefile.cpp
|

Dep_stackdobj = \
   stacks.h\
   stack.cpp

stack.obj : $(Dep_stackdobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ stack.cpp
|

dasm.res :  dasm.rc
  $(BRC32) -R @&&|
 $(IDE_ResFLAGS32) $(ROptsAt_dasmdrc) $(CompInheritOptsAt_dasmdrc)  -FO$@ dasm.rc
|
Dep_commondobj = \
   common.h\
   common.cpp

common.obj : $(Dep_commondobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ common.cpp
|

Dep_scheduledobj = \
   schedule.h\
   schedule.cpp

schedule.obj : $(Dep_scheduledobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ schedule.cpp
|

Dep_relocsdobj = \
   relocs.h\
   relocs.cpp

relocs.obj : $(Dep_relocsdobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ relocs.cpp
|

Dep_proctabdobj = \
   proctab.h\
   proctab.cpp

proctab.obj : $(Dep_proctabdobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ proctab.cpp
|

Dep_gnamedobj = \
   gname.h\
   gname.cpp

gname.obj : $(Dep_gnamedobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ gname.cpp
|

Dep_debugdobj = \
   debug.h\
   debug.cpp

debug.obj : $(Dep_debugdobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ debug.cpp
|

Dep_xrefdobj = \
   xref.h\
   xref.cpp

xref.obj : $(Dep_xrefdobj)
  $(BCC32) -c @&&|
 $(CompOptsAt_borgdexe) $(CompInheritOptsAt_borgdexe) -o$@ xref.cpp
|

# Compiler configuration file
BccW32.cfg : 
   Copy &&|
-w
-R
-v
-vi
-H
-H=borg21.csm
-WM
-W
-v-
-R-
-5
-Oc
-Oi
-Ov
-Z
-O
-Oe
-Ol
-Ob
-OW
-Oa
-Om
-Op
-OM
-OI
-OS
-b-
-x-
-xd-
-RT-
| $@


